## org.apache.catalina.util
Class MD5Encoder

    java.lang.Object
      org.apache.catalina.util.MD5Encoder

public final class MD5Encoder
extends java.lang.Object

Encode an MD5 digest into a String.

The 128 bit MD5 hash is converted into a 32 character long String. Each character of the String is the hexadecimal representation of 4 bits of the digest.

Version:
  $Revision: 466595 $ $Date: 2006-10-21 23:24:41 +0100 (Sat, 21 Oct 2006) $
Author:
  Remy Maucherat

Constructor Summary
`MD5Encoder()`

Method Summary
`java.lang.String` `encode(byte[] binaryData)` Encodes the 128 bit (16 bytes) MD5 into a 32 character String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MD5Encoder

    public MD5Encoder()

Method Detail

### encode

    public java.lang.String encode(byte[] binaryData)

  Encodes the 128 bit (16 bytes) MD5 into a 32 character String.

  Parameters:
    `binaryData` - Array containing the digest
  Returns:
    Encoded MD5, or null if encoding failed

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.